{% extends 'app/_layout/layout_app.html.twig' %}

{% set page_title = 'Groups' %}

{% block title %}{{ page_title }} {{ parent() }}{% endblock %}

{% block content %}
    <div class="datatable-toolbar is-webapp">
        <div class="field has-addons is-disabled">
            <p class="control">
                <button class="button h-button">
                                    <span class="icon is-small">
                                            <i class="fas fa-bolt"></i>
                                        </span>
                    <span>Disable</span>
                </button>
            </p>
            <p class="control">
                <button class="button h-button">
                                    <span class="icon is-small">
                                            <i class="fas fa-times"></i>
                                        </span>
                    <span>Delete</span>
                </button>
            </p>
            <p class="control">
                <button class="button h-button">
                                    <span class="icon is-small">
                                            <i class="fas fa-file"></i>
                                        </span>
                    <span>Report</span>
                </button>
            </p>
        </div>

        <div class="buttons">
            <button class="button h-button is-primary is-elevated">
                                <span class="icon">
                                        <i class="fas fa-plus"></i>
                                    </span>
                <span>Add Product</span>
            </button>
        </div>
    </div>

    <div class="page-content-inner is-webapp">

        <!-- Datatable -->
        <div class="table-wrapper" data-simplebar>
            <table id="products-datatable" class="table is-datatable is-hoverable table-is-bordered">
                <thead>
                <tr>
                    <th>
                        <div class="control">
                            <label class="checkbox is-primary is-outlined is-circle">
                                <input type="checkbox">
                                <span></span>
                            </label>
                        </div>
                    </th>
                    <th>Picture</th>
                    <th>Name</th>
                    <th>SKU</th>
                    <th class="has-text-centered">Price</th>
                    <th class="has-text-centered">Stock</th>
                    <th>Category</th>
                    <th></th>
                </tr>
                </thead>
                <tbody></tbody>
            </table>

            <!--Empty Placeholder-->
            <div class="section-placeholder">
                <div class="placeholder-content">
                    <img class="light-image" src="{{ asset('dist/img/illustrations/placeholders/search-4.svg') }}" alt="" />
                    <img class="dark-image" src="{{ asset('dist/img/illustrations/placeholders/search-4-dark.svg') }}" alt="" />
                    <h3 class="dark-inverted">No data to show</h3>
                    <p>There is currently no data to show in this list.</p>
                </div>
            </div>

        </div>

        <div id="paging-first-datatable" class="pagination datatable-pagination">
            <div class="datatable-info">
                <span></span>
            </div>
        </div>

    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}

    <script src="{{ asset('dist/js/components.js') }}"></script>
    <script src="{{ asset('dist/js/popover.js') }}"></script>
    <script src="{{ asset('dist/js/widgets.js') }}"></script>
    <script src="{{ asset('dist/js/touch.js') }}"></script>
    <script src="{{ asset('dist/js/datatables.js') }}"></script>
{% endblock %}
